﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EHEC_Server
{
    
    public class ClusterPatient
    {
        public List<Patient> Patients { get; set; }
        public List<ClusterPatient> ClusterPatients { get; set; }
        public int Id { get; set; }
        public string Name { get; set; }

        public List<ClusterPatient> GetClusterPatients()
        {
            Patient p = new Patient();
            Patients = p.GetAllPatients();

            foreach (Patient element in Patients)
            {
                ClusterPatient clusterPatient = new ClusterPatient
                {
                    Id = element.PatientId,
                    Name = element.FirstName + " " + element.LastName
                };
                ClusterPatients.Add(clusterPatient);
            }
            return ClusterPatients;
        }
                
    }
    
}